package com.hfkj.service;

import com.hfkj.entity.BsTradeOrderRefund;

import java.util.List;
import java.util.Map;

/**
 * 退款交易订单
 * @author hurui
 */
public interface BsTradeOrderRefundService {

    /**
     * 编辑退款订单
     * @param tradeOrderRefund
     */
    void editOrderRefund(BsTradeOrderRefund tradeOrderRefund);

    /**
     * 订单退款
     * @return
     */
    Map<String, Object> tradeOrderRefund(BsTradeOrderRefund tradeOrderRefund) throws Exception;

    /**
     * 根据商户交易流水 查询退款订单
     * @param outTradeOrder
     * @return
     */
    BsTradeOrderRefund getRefundByOutTradeOrder(String outTradeOrder);

    /**
     * 根据退款订单号 查询退款订单
     * @param refundNo
     * @return
     */
    BsTradeOrderRefund getRefundByRefundNo(String refundNo);

    /**
     * 退款列表
     * @param param
     * @return
     */
    List<BsTradeOrderRefund> getRefundList(Map<String,Object> param);

}
